API ReferenceapiwebhooksPOST /v1/webhooks/recharge

POST /v1/webhooks/recharge

Service: webhooks · operationId: (none)

Required scopes

(no scope declared — review service config)

Request body

{
  "type": "object",
  "properties": {}
}

Responses

200 Webhook received

{
  "type": "object",
  "properties": {
    "received": {
      "type": "boolean",
      "enum": [
        true
      ]
    }
  },
  "required": [
    "received"
  ]
}

401 Signature verification failed

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

409 Duplicate event

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://webhooks.platform.loop.health/v1/webhooks/recharge \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'